Subject: [PATCH v2 16/31] arm64: ELF definitions

From: [email-masked] (Chris Metcalf)
Date: Wed, 5 Sep 2012 15:56:27 -0400

On 8/21/2012 4:17 PM, Arnd Bergmann wrote:
> On Tuesday 21 August 2012, Catalin Marinas wrote:
>> On Thu, Aug 16, 2012 at 01:37:53PM +0100, Arnd Bergmann wrote:
>>> No, the uname output is meant to tell you about the system, not the
>>> instruction set that you are using (you already know that in compiled
>>> code).
>>
>> OK, so we assumed that compat tasks should get a uname as close as
>> possible to a 32-bit system, i.e. armv8l, for full compatibility. This
>> would allow us to run something like 32-bit Debian on an AArch64 kernel
>> without worrying about any scripts failing.
> 
> You can still do that, just boot with init="/sbin/setarch armv7 /sbin/init".
> 
>> But I can see on x86 that it always reports x86_64 even if the task is
>> x86_32.
> 
> Not just x86, the same behavior is used on powerpc, s390, mips, sparc and
> parisc. Not sure about tile though.

tile also reports "tilegx" regardless of whether the task is 64-bit or
32-bit compat.
-- 
Chris Metcalf, Tilera Corp.
http://www.tilera.com